## com.vividsolutions.jts.simplify
Class LineSegmentIndex

    java.lang.Object
      com.vividsolutions.jts.simplify.LineSegmentIndex

public class LineSegmentIndex
extends java.lang.Object

An spatial index on a set of `LineSegment`s. Supports adding and removing items.

Author:
  Martin Davis

Constructor Summary
`LineSegmentIndex()`

Method Summary
`void` `add(LineSegment seg)`
`void` `add(TaggedLineString line)`
`java.util.List` `query(LineSegment querySeg)`
`void` `remove(LineSegment seg)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### LineSegmentIndex

    public LineSegmentIndex()

Method Detail

### add

    public void add(TaggedLineString line)

### add

    public void add(LineSegment seg)

### remove

    public void remove(LineSegment seg)

### query

    public java.util.List query(LineSegment querySeg)